Is your eclipse working in Fedora 15?

Just after I updated my server to Fedora 15, I found out that eclipse is crashing when code/content assist comes up. I started searching in internet for a solution and got many with a lot not fixing my issue. Finally, I figured out why.. Its due to the new libwebkit!

With lot and lot of changes in Gnome 3, they also managed to change the name of libwebkit to libwebkitgtk. Obviously, eclipse can’t know this (like the other tons of application struggling in Gnome 3).

So to make your eclipse work with Code assist without crashing, do the following

  1. Create a symbolic link for libwebkit
    ln -s /usr/lib/libwebkitgtk-1.0.so.0 /usr/lib/libwebkit-1.0.so.2
    or whatever version of libwebkit you have
  2. Add org.eclipse.swt.browser.UseWebKitGTK=true to eclipse.ini or config.ini of eclipse

I hope this helps.
See ya!

UPDATE : eclipse.ini works only with fedora versions prior to 16. For everything else, please update to config.ini

6 Replies to “Is your eclipse working in Fedora 15?”

  1. I am also facing the same issue..

    Even after creating this symlink and adding the -Dorg option in my eclipse.ini file also my Eclipse is crashing for every simple content assist.
    I also tried starting my Eclipse as super user. Still the error exists..

    Please let me know if any other thing needs to be done to get this resolved.

    Eclipse 3.5( Galileio) on Fedora 16

    Thanks,
    Ravi

  2. Pingback: Feedcas9
  3. Worked great for me on Eclipse 3.6 on Fedora 17! Eclipse was opening then would crash a few seconds after displaying the workspace. Also, in case it helps anyone else, I added that entry to the end of configuration/config.ini, didn’t try it in eclipse.ini.
    Thanks!!!

Leave a Reply

Your email address will not be published. Required fields are marked *